import { FeedbackService } from "./feedback.service";
import { FeedbackConfiguration } from "./feedback-configuration.model";
export declare class FeedbackModalComponent {
    private feedback;
    configuration: FeedbackConfiguration;
    private modal;
    constructor(feedback: FeedbackService);
    /**
     * Cancel the feedback.
     */
    cancel(): void;
    /**
     * Close this modal.
     */
    closeModal(): void;
    /**
     * Open feedback modal.
     */
    openModal(): void;
    /**
     * Submit the form.
     * @param form the form.
     */
    submit(form: HTMLFormElement): void;
}
