/**
 * Feedback configuration class.
 */
export declare class FeedbackConfiguration {
    onCancel?: Function;
    onCancelScreenshot?: Function;
    onEnterTakeScreenshot?: Function;
    onHighlightDrawn?: Function;
    onOpen?: Function;
    onScreenshotTaken?: Function;
    onSubmit: Function;
    onSubmitValidation?: Function;
    cancelFeedbackButtonText?: string;
    cancelScreenshotButtonText?: string;
    enterScreenshotModeButtonText?: string;
    feedbackButtonText?: string;
    feedbackModalTitle?: string;
    fileSizeTooLargeErrorMessage?: string;
    fileTypeNotAllowedErrorMessage?: string;
    maxImageCountReachedErrorMessageText?: string;
    submitFeedbackButtonText?: string;
    takeScreenshotButtonText?: string;
    uploadButtonText?: string;
    cancelFeedbackButtonClass?: string;
    cancelScreenshotButtonClass?: string;
    enterScreenshotModeButtonClass?: string;
    feedbackButtonClass?: string;
    feedbackModalClass?: string;
    maxImageCountReachedErrorMessageClass?: string;
    screenshotEmbedClass?: string;
    screenshotEmbedRemoveButtonClass?: string;
    submitFeedbackButtonClass?: string;
    takeScreenshotButtonClass?: string;
    uploadButtonClass?: string;
    uploadErrorMessageClass?: string;
    allowedImageTypes?: string;
    enableLoadingIconClass?: boolean;
    disableScreenshotMode?: boolean;
    disableUpload?: boolean;
    maxImageCount?: number;
    maxSingleFileSize?: number;
    screenshotOnlyHighlighted?: boolean;
}
